/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.geodata.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QGeodataOrt extends EntityPathBase<GeodataOrt> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QGeodataOrt geodataOrt = new QGeodataOrt("geodataOrt");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final NumberPath<java.lang.Double> latitude = createNumber("latitude", java.lang.Double.class);

  public final NumberPath<java.lang.Double> longitude = createNumber("longitude", java.lang.Double.class);

  public final StringPath ortsname = createString("ortsname");

  public final StringPath ortsteilname = createString("ortsteilname");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */
			  /**
   * Beziehung N:M (bidirektional, fuehrend) zu GeodataPlzs
   */
  public final SetPath<de.ivu.elect.business.geodata.entity.GeodataPlz, de.ivu.elect.business.geodata.entity.QGeodataPlz> geodataPlzs = this.<de.ivu.elect.business.geodata.entity.GeodataPlz, de.ivu.elect.business.geodata.entity.QGeodataPlz>createSet("geodataPlzs", de.ivu.elect.business.geodata.entity.GeodataPlz.class, de.ivu.elect.business.geodata.entity.QGeodataPlz.class, PathInits.DIRECT);

  public QGeodataOrt(Class<? extends GeodataOrt> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QGeodataOrt(String variable) {
    this(GeodataOrt.class, forVariable(variable), INITS);
  }

  public QGeodataOrt(Path<? extends GeodataOrt> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGeodataOrt(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGeodataOrt(PathMetadata metadata, PathInits inits) {
    this(GeodataOrt.class, metadata, inits);
  }
}
